apiVersion: v1
kind: ConfigMap
metadata:
  name: dlt-config
  namespace: dlt
#NEED to find a better way to setup ENV variables for Kubernetes services
##Modify the PEER_ENDPOINT IP according to your deployment
data:
  CHANNEL_NAME: "channel1"
  CHAINCODE_NAME: "adrenalineDLT"
  MSP_ID: "Org1MSP"
  PEER_ENDPOINT: "PEER_IP:PORT" #USE THE IP address and Ports of your Fabric deployment peers.
  PEER_HOST_ALIAS: "peer0.org1.adrenaline.com"
  CRYPTO_PATH: "/test-network/organizations/peerOrganizations/org1.adrenaline.com"
  KEY_DIRECTORY_PATH: "/test-network/organizations/peerOrganizations/org1.adrenaline.com/users/User1@org1.adrenaline.com/msp/keystore"
  CERT_DIRECTORY_PATH: "/test-network/organizations/peerOrganizations/org1.adrenaline.com/users/User1@org1.adrenaline.com/msp/signcerts"
  TLS_CERT_PATH: "/test-network/organizations/peerOrganizations/org1.adrenaline.com/peers/peer0.org1.adrenaline.com/tls/ca.crt"
